Package groovy.util

# Interface ObjectGraphBuilder.IdentifierResolver

All Known Implementing Classes:
  `ObjectGraphBuilder.DefaultIdentifierResolver`

Enclosing class:
  `ObjectGraphBuilder`

public static interface ObjectGraphBuilder.IdentifierResolver
Strategy for picking the correct synthetic identifier.

## Method Summary

Modifier and Type
Method
Description
`String`
`getIdentifierFor(String nodeName)`
Returns the name of the property that will identify the node.

## Method Details

### getIdentifierFor

String getIdentifierFor(String nodeName)
Returns the name of the property that will identify the node.

Parameters:
  `nodeName` - the name of the node